<?php
declare(strict_types=1);
if ( ! defined( 'ABSPATH' ) ) { exit; }

class WTE_Email_Control extends \WP_Customize_Control {
	public $type = 'wte-email';
	public function render_content(): void { ?>
		<label>
			<?php if ( $this->label ) : ?><span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span><?php endif; ?>
			<input type="email" class="wte-email-input" value="<?php echo esc_attr( $this->value() ); ?>" <?php $this->link(); ?> placeholder="example@example.com">
		</label>
	<?php }
}
